AccessibleAction (JavaFX 17)

Module javafx.graphics
Package javafx.scene

## Enum AccessibleAction

- java.lang.Object
- - java.lang.Enum<AccessibleAction>
  - - javafx.scene.AccessibleAction

- All Implemented Interfaces:
    `Serializable`, `Comparable<AccessibleAction>`

      public enum AccessibleAction
      extends Enum<AccessibleAction>

  This enum describes the actions that an assistive technology such as a screen reader can request from the scene graph. The `AccessibleRole` dictates the set of actions that the screen reader will request for a particular control. For example, a push button normally fires an event to indicate that it was pressed in response to the FIRE action.

  An action may have any number of parameters, depending on the particular action.

  Since:
    JavaFX 8u40
  See Also:
    `Node.executeAccessibleAction(AccessibleAction, Object...)`, `AccessibleRole`, `AccessibleAttribute.ROLE`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BLOCK_DECREMENT` | Request that the node be decremented by a large value.
    `BLOCK_INCREMENT` | Request that the node be incremented by a large value.
    `COLLAPSE` | Request that the node should become collapsed.
    `DECREMENT` | Request that the node be decremented by a small value.
    `EXPAND` | Request that the node should become expanded.
    `FIRE` | Fires the primary action for the node.
    `INCREMENT` | Request that the node be incremented by a small value.
    `REQUEST_FOCUS` | Request that the node take focus.
    `SET_SELECTED_ITEMS` | Request the node to set the selection to a list of items.
    `SET_TEXT` | Request the node to set the current text.
    `SET_TEXT_SELECTION` | Request the node to set the selection to range of text.
    `SET_VALUE` | Request the node to set the current value.
    `SHOW_ITEM` | Request the node to show an item, scrolling if required.
    `SHOW_MENU` | Request the node to show a menu.
    `SHOW_TEXT_RANGE` | Request the node to show a text range, scrolling if required.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AccessibleAction` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static AccessibleAction[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods declared in class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods declared in class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BLOCK_DECREMENT

          public static final AccessibleAction BLOCK_DECREMENT

      Request that the node be decremented by a large value. A smaller decrement is requested using `DECREMENT`.

      Used by Slider, ScrollBar, and others

    - #### BLOCK_INCREMENT

          public static final AccessibleAction BLOCK_INCREMENT

      Request that the node be incremented by a large value. A smaller increment is requested using `INCREMENT`.

      Used by Slider, ScrollBar, and others

    - #### COLLAPSE

          public static final AccessibleAction COLLAPSE

      Request that the node should become collapsed.

      Used by TreeItem, TitledPane, and others

    - #### DECREMENT

          public static final AccessibleAction DECREMENT

      Request that the node be decremented by a small value. A larger decrement is requested using `BLOCK_DECREMENT`.

      Used by Slider, ScrollBar, and others

    - #### EXPAND

          public static final AccessibleAction EXPAND

      Request that the node should become expanded.

      Used by TreeItem, TitledPane, and others

    - #### FIRE

          public static final AccessibleAction FIRE

      Fires the primary action for the node. For example, a push button will normally send an action event to notify listeners that is has been activated.

      Used by Button, Hyperlink, and others

    - #### INCREMENT

          public static final AccessibleAction INCREMENT

      Request that the node be incremented by a small value. A larger increment is requested using `BLOCK_INCREMENT`.

      Used by Slider, ScrollBar, and others

    - #### REQUEST_FOCUS

          public static final AccessibleAction REQUEST_FOCUS

      Request that the node take focus. By default, a node will request focus using `Node.requestFocus()`. Both JavaFX and the assisteve technology have the concept of a focus node and most of the time, they are the same. In some cases, a control might want the JavaFX focus to remain on the parent, while the assistive technology focus is on the child. For example, a table may respond to this request by setting focus to a cell inside the table before allowing the default to run.

      Used by Node, TabItem, TableCell and others

    - #### SHOW_ITEM

          public static final AccessibleAction SHOW_ITEM

      Request the node to show an item, scrolling if required.

      Used by ListView, TreeView, and others

      Parameters:
      - `Node` the item to show

    - #### SHOW_TEXT_RANGE

          public static final AccessibleAction SHOW_TEXT_RANGE

      Request the node to show a text range, scrolling if required.

      Used by TextField and TextArea.

      Parameters:
      - `Integer` the start offset
      - `Integer` the end offset

    - #### SET_SELECTED_ITEMS

          public static final AccessibleAction SET_SELECTED_ITEMS

      Request the node to set the selection to a list of items.

      Used by ListView, TreeView, and others

      Parameters:
      - `ObservableList`<`Node`> the items to select

    - #### SET_TEXT_SELECTION

          public static final AccessibleAction SET_TEXT_SELECTION

      Request the node to set the selection to range of text.

      Used by TextField and TextArea.

      Parameters:
      - `Integer` the start offset
      - `Integer` the end offset

    - #### SET_TEXT

          public static final AccessibleAction SET_TEXT

      Request the node to set the current text.

      Used by TextField and TextArea.

      Parameters:
      - `String` the new text

    - #### SET_VALUE

          public static final AccessibleAction SET_VALUE

      Request the node to set the current value.

      Used by Slider, Scrollbars, and others

      Parameters:
      - `Double` the new value

    - #### SHOW_MENU

          public static final AccessibleAction SHOW_MENU

      Request the node to show a menu. If the node is a control, then the context menu for the control is shown. If the node is a menu, then the submenu for the menu is shown.

      Used by Node, Menu

  - ### Method Detail

    - #### values

          public static AccessibleAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AccessibleAction c : AccessibleAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AccessibleAction valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null